#include <iostream>
using namespace std;

int main()
{
    int L,sum=0,jumps=0,m,n;
    cin >> L >> m >> n;
    while(sum <= L)
    {
        sum+=m;
        jumps++;
        m=m+n;
    }
    cout << jumps;
    return 0;
}
